#ifndef APPLICATION_H
#define APPLICATION_H

#include <SFML/Graphics/RenderWindow.hpp>
//#include <SFML/Audio/Music.hpp>
#include <SFML/System/Clock.hpp>
#include <SFML/Graphics/RectangleShape.hpp>

#include <stack>

class Application
{
public:
    Application();
    void run();
    void update();
    void draw();

private:
    sf::RenderWindow game_window;
    sf::Clock music;
    //sf::Music music;
    sf::RectangleShape pulse_mask;

    std::stack<sf::Int64> timeline;
};

#endif // APPLICATION_H
